# Function: readTargetOptions

▸ **readTargetOptions**<`T`\>(`«destructured»`, `context`): `T`

Reads and combines options for a given target.

Works as if you invoked the target yourself without passing any command lint overrides.

#### Type parameters

| Name | Type  |
| :--- | :---- |
| `T`  | `any` |

#### Parameters

| Name             | Type                                                        |
| :--------------- | :---------------------------------------------------------- |
| `«destructured»` | [`Target`](../../devkit/documents/Target)                   |
| `context`        | [`ExecutorContext`](../../devkit/documents/ExecutorContext) |

#### Returns

`T`
